Skip to content

Place Document Legal Hold Endpoint

POST
/v1/documents/{job_id}/legal-hold
curl --request POST \
--url https://docstack.nvc.nxu.ae/v1/documents/example/legal-hold \
--header 'Content-Type: application/json' \
--data '{ "reason": "example" }'
job_id
required
Job Id
string
Media type application/json
LegalHoldPayload
object
reason
required
Reason
string
>= 1 characters <= 2000 characters
Example generated
{
"reason": "example"
}

Successful Response

Media type application/json
Response Place Document Legal Hold Endpoint V1 Documents Job Id Legal Hold Post
object
key
additional properties
any
Example generated
{}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}